## codfis 0.4.7

=== Makefile ===
# Project: codfis

CPP  = g++
OBJ  = src/main.o src/calccf.o src/dlg_db_ch.o src/struty.o src/dlg_info.o
LINKOBJ  = src/main.o src/calccf.o src/dlg_db_ch.o src/struty.o src/dlg_info.o
LIBS =  -L/usr/X11R6/lib -lXext -lX11 -lm -lfltk -lsqlite3 -lXpm
CXXINCS =  -I"include"
BIN  = codfis
DB = codfis.db3
DBSQL = src/codfis.sql
CXXFLAGS = -O2 -Wall -static
RM = rm -f

all: $(BIN) $(DB)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o $(BIN) $(LIBS)

src/main.o: src/main.cpp
	$(CPP) -c src/main.cpp -o src/main.o $(CXXFLAGS) $(CXXINCS)

src/calccf.o: src/calccf.cpp
	$(CPP) -c src/calccf.cpp -o src/calccf.o $(CXXFLAGS) $(CXXINCS)

src/dlg_db_ch.o: src/dlg_db_ch.cpp
	$(CPP) -c src/dlg_db_ch.cpp -o src/dlg_db_ch.o $(CXXFLAGS) $(CXXINCS)

src/struty.o: src/struty.cpp
	$(CPP) -c src/struty.cpp -o src/struty.o $(CXXFLAGS) $(CXXINCS)

src/dlg_info.o: src/dlg_info.cpp
	$(CPP) -c src/dlg_info.cpp -o src/dlg_info.o $(CXXFLAGS) $(CXXINCS)

$(DB): $(DBSQL)
	sqlite3 -init $(DBSQL) $(DB) .quit
#	sqlite3 $(DB) < $(DBSQL)

clean:
	${RM} $(OBJ) $(BIN) $(DB)

=== debian/changelog ===
codfis (0.4.7-3) unstable; urgency=medium

  * QA upload

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Henrique F. Simoes ]
  * d/codfis.desktop: add some keywords
  * d/compat: drop it in favor of debhelper-compat
  * d/control:
    - make QA team the maintainer
    - upgrade debhelper compat to v13
    - change priority from extra to optional
    - bump Standards-Version to 4.7.0
  * d/copyright:
    - update Debian copyright information
    - follow copyright format version 1.0
  * d/menu: drop menu file in favor of .desktop
  * d/patches:
    - use CXX for expanding C++ compiler (closes: #928823)
    - forward flags to linker and preprocessor
    - define CXXFLAGS only if not already provided
  * d/rules:
    - use correct 644 permission for icon file
    - enable all default hardening options
  * d/watch: acknowledge that upstream is gone

 -- Henrique F. Simoes <henriquesimoes@riseup.net>  Tue, 10 Sep 2024 21:20:39 -0300

codfis (0.4.7-2) unstable; urgency=low

  * Add Italian name for greater probabilities to be found in
    the archive (Closes: #656095)

 -- David Paleino <dapal@debian.org>  Mon, 16 Jan 2012 16:11:15 +0100

codfis (0.4.7-1) unstable; urgency=low

  * Initial release (Closes: #639921)

 -- David Paleino <dapal@debian.org>  Wed, 31 Aug 2011 19:01:44 +0200

=== debian/control ===
Source: codfis
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
 , libfltk1.3-dev
 , libsqlite3-dev
 , libxext-dev
 , libxpm-dev
 , sqlite3
Standards-Version: 4.7.0
Homepage: http://www.digitazero.org/?p=16
Vcs-Git: https://salsa.debian.org/debian/codfis.git
Vcs-Browser: https://salsa.debian.org/debian/codfis
Rules-Requires-Root: no

Package: codfis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to generate Italian fiscal codes (codice fiscale)
 CodFis is a tool to generate Italian fiscal codes (codice fiscale) given
 name, surname, gender, date and place of birth.
 .
 Note that the official fiscal codes are only those assigned by Agenzia
 delle Entrate (which may be different from those generated by this tool
 in some special cases).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_fixperms:
	find -name codfis.xpm -exec chmod 0644 {} ';'

=== debian/watch ===
# Previous upstream website [1] no longer provides the sources for codfis, and
# displays the message "The content of this website is not public." Also, there
# is no known way to contact them by now.
#
# Taking into account it has been last seen in 2015 [2] and its latest release
# is from 2006 [3], we can assume it won't come back.
#
# [1] http://www.digitazero.org/?p=16
# [2] http://web.archive.org/web/20150919145837/http://www.digitazero.org/?p=16
# [3] codfis/ChangeLog
